Bug 107963 - kernel rejected pushbuf: Invalid argument
Summary: kernel rejected pushbuf: Invalid argument
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-17 19:17 UTC by mikhail.v.gavrilov
Modified: 2018-10-10 07:48 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
system log (503.68 KB, text/plain)
2018-09-17 19:17 UTC, mikhail.v.gavrilov
no flags Details
dmesg (121.42 KB, text/plain)
2018-09-17 19:17 UTC, mikhail.v.gavrilov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2018-09-17 19:17:03 UTC
Created attachment 141604 [details]
system log

$ uname -r
4.19.0-0.rc3.git3.1.fc30.x86_64

nouveau: kernel rejected pushbuf: Invalid argument
nouveau: ch12: krec 0 pushes 3 bufs 13 relocs 0
nouveau: ch12: buf 00000000 00000002 00000004 00000004 00000000
nouveau: ch12: buf 00000001 00000006 00000004 00000000 00000004
nouveau: ch12: buf 00000002 00000007 00000002 00000002 00000002
nouveau: ch12: buf 00000003 0000000b 00000002 00000002 00000002
nouveau: ch12: buf 00000004 0000000a 00000002 00000002 00000000
nouveau 0000:09:00.0: WebKitWebProces[2368]: multiple instances of buffer 7 on validation list
nouveau 0000:09:00.0: WebKitWebProces[2368]: validate_init
nouveau 0000:09:00.0: WebKitWebProces[2368]: validate: -22
nouveau 0000:09:00.0: gr: DATA_ERROR 0000000c [INVALID_BITFIELD]
nouveau 0000:09:00.0: gr: 00100000 [] ch 12 [003f528000 WebKitWebProces[2368]] subc 3 class 8597 mthd 1900 data 0004721c
nouveau 0000:09:00.0: gr: DATA_ERROR 0000000c [INVALID_BITFIELD]
nouveau 0000:09:00.0: gr: 00100000 [] ch 12 [003f528000 WebKitWebProces[2368]] subc 3 class 8597 mthd 1904 data 0fac6881
nouveau 0000:09:00.0: gr: DATA_ERROR 0000000c [INVALID_BITFIELD]
nouveau 0000:09:00.0: gr: 00100000 [] ch 12 [003f528000 WebKitWebProces[2368]] subc 3 class 8597 mthd 1908 data 00086ff4
nouveau 0000:09:00.0: gr: DATA_ERROR 0000000c [INVALID_BITFIELD]
nouveau 0000:09:00.0: gr: 00100000 [] ch 12 [003f528000 WebKitWebProces[2368]] subc 3 class 8597 mthd 190c data 03560000
nouveau 0000:09:00.0: gr: DATA_ERROR 0000000c [INVALID_BITFIELD]
nouveau 0000:09:00.0: gr: 00100000 [] ch 12 [003f528000 WebKitWebProces[2368]] subc 3 class 8597 mthd 1910 data 01e00000
nouveau: ch12: buf 00000005 00000008 00000002 00000002 00000000
nouveau: ch12: buf 00000006 00000026 00000004 00000004 00000000
nouveau: ch12: buf 00000007 0000002b 00000002 00000000 00000002
nouveau: ch12: buf 00000008 0000002a 00000002 00000000 00000002
nouveau: ch12: buf 00000009 00000012 00000002 00000002 00000000
nouveau: ch12: buf 0000000a 0000001a 00000002 00000002 00000000
nouveau: ch12: buf 0000000b 0000001c 00000002 00000002 00000000
nouveau: ch12: buf 0000000c 00000025 00000002 00000002 00000000
nouveau: ch12: psh 00000000 00000085cc 0000008de8
Comment 1 mikhail.v.gavrilov 2018-09-17 19:17:20 UTC
Created attachment 141605 [details]
dmesg
Comment 2 mikhail.v.gavrilov 2018-09-17 19:28:02 UTC
$ inxi -bM
System:    Host: localhost.localdomain Kernel: 4.19.0-0.rc3.git3.1.fc30.x86_64 x86_64 bits: 64 
           Desktop: Gnome 3.30.0 Distro: Fedora release 30 (Rawhide) 
Machine:   Type: Desktop Mobo: ASUSTeK model: ROG STRIX X470-I GAMING v: Rev 1.xx serial: <root required> 
           UEFI: American Megatrends v: 0901 date: 07/23/2018 
CPU:       8-Core: AMD Ryzen 7 2700X type: MT MCP speed: 2145 MHz min/max: 2200/3700 MHz 
Graphics:  Device-1: NVIDIA GT218 [GeForce 210] driver: nouveau v: kernel 
           Display: wayland server: Fedora Project X.org 11.0 driver: nouveau resolution: 1920x1080~60Hz 
           OpenGL: renderer: NVA8 v: 3.3 Mesa 18.2.0 
Network:   Device-1: Intel I211 Gigabit Network driver: igb 
           Device-2: Realtek RTL8822BE 802.11a/b/g/n/ac WiFi adapter driver: r8822be 
Drives:    Local Storage: total: 11.35 TiB used: 17.08 GiB (0.1%) 
Info:      Processes: 349 Uptime: 42m Memory: 31.36 GiB used: 3.23 GiB (10.3%) Shell: bash inxi: 3.0.24
Comment 3 Ilia Mirkin 2018-09-18 02:43:17 UTC
This feels likely to be due to some sort of multi-threaded OpenGL calls. Note that buffer 7 isn't listed 2x, which means that by the time the print happened, one or the other call to submit had already overwritten the other's data.
Comment 4 Alexander 2018-10-10 07:42:05 UTC
Having similar issue with Genymotion:

nouveau: kernel rejected pushbuf: Invalid argument
nouveau: ch8: krec 0 pushes 3 bufs 13 relocs 0
nouveau: ch8: buf 00000000 00000002 00000004 00000004 00000000
nouveau: ch8: buf 00000001 00000006 00000004 00000000 00000004
nouveau: ch8: buf 00000002 00000007 00000002 00000002 00000000
nouveau: ch8: buf 00000003 0000000a 00000002 00000002 00000000
nouveau: ch8: buf 00000004 0000000b 00000002 00000002 00000000
nouveau: ch8: buf 00000005 0000000b 00000002 00000002 00000000
nouveau: ch8: buf 00000006 00000008 00000002 00000002 00000000
nouveau: ch8: buf 00000007 00000008 00000002 00000002 00000000
nouveau: ch8: buf 00000008 00000019 00000002 00000000 00000002
nouveau: ch8: buf 00000009 00000019 00000002 00000000 00000002
nouveau: ch8: buf 0000000a 0000001e 00000002 00000002 00000000
nouveau: ch8: buf 0000000b 0000000d 00000002 00000002 00000000
nouveau: ch8: buf 0000000c 00000015 00000004 00000004 00000000
nouveau: ch8: psh 00000000 000007e73c 000007f524
Comment 5 Alexander 2018-10-10 07:48:25 UTC
uname -r
4.15.0-20-generic


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.